Searched refs:code (Results 376 - 400 of 882) sorted by relevance

<<11121314151617181920>>

/illumos-gate/usr/src/lib/libast/common/port/
H A Dlcgen.c28 * code name ms-codepage
30 * code name alt1|alt2... charset|... attr1|attr2|...
33 * code name lang1|lang2...
47 char* code; member in struct:Link_s
145 if (!strcmp(x->code, v->code))
168 if (!strcmp(x->code, s))
427 cp->link.code = copy(&b, arg[0]);
432 fprintf(stderr, "%s: %d: %s: duplicate charset\n", command, line, cp->link.code);
443 tp->link.code
[all...]
/illumos-gate/usr/src/cmd/truss/
H A Dexpound.c501 show_cladm(private_t *pri, int code, int function, long offset) argument
505 switch (code) {
778 show_strint(private_t *pri, int code, long offset) argument
785 switch (code) { /* interpret these symbolically */
1313 show_ioctl(private_t *pri, int code, long offset) argument
1325 switch (code) {
1422 show_strint(pri, code, offset);
1490 if ((code & ~0xff) == ZFS_IOC) {
1495 if (code & IOC_INOUT) {
1496 const char *str = ioctldatastruct(code);
2820 const char *code = NULL; local
2976 const char *code = NULL; local
[all...]
/illumos-gate/usr/src/lib/libslp/javalib/com/sun/slp/
H A DServiceLocationAttribute.java713 int code = 0;
715 // Assemble the character code.
724 code = (int)(b[0] & 0xFF);
727 code = (int)(code | ((b[1] & 0xFF) << 8));
731 code = (int)(code | ((b[2] & 0xFF) << 16));
734 String str = Integer.toHexString(code);
751 int code = 0;
754 code
[all...]
/illumos-gate/usr/src/cmd/bnu/
H A Dct.c494 disconnect (code)
510 DEBUG(5, "Disconnect(%d)\n", code);
516 if ((code != 0) && (code != SIGALRM))
519 cleanup(code);
523 * clean and exit with "code" status
526 cleanup (code)
527 int code;
529 CDEBUG(5, "cleanup(%d)\n", code);
546 exit (code);
[all...]
/illumos-gate/usr/src/lib/gss_mechs/mech_krb5/krb5/os/
H A Dforeachaddr.c202 int code, i, j; local
231 code = ioctl (P.sock, SIOCGLIFNUM, &P.lifnum);
232 if (code) {
247 code = get_lifconf (P.af, P.sock, &P.buf_size, P.buf);
248 if (code < 0) {
H A Dsn2princ.c61 krb5_error_code code; local
65 code = profile_get_string(context->profile, "libdefaults",
67 if (code)
124 /* Note that the old code would accept numeric addresses,
/illumos-gate/usr/src/cmd/audio/utilities/
H A DAudio.cc81 // Raise error code
84 AudioError code, // error code
88 if (code == AUDIO_SUCCESS)
89 return (code);
93 (void) (*errorfunc)(this, code, sev, msg);
97 return (code);
83 RaiseError( AudioError code, AudioSeverity sev, char *msg) const argument
/illumos-gate/usr/src/uts/common/io/scsi/adapters/iscsi/
H A Dradius_packet.c68 packet->code = req_data->code;
244 * Code = RADIUS packet code
253 MD5Update(&context, &packet->code, 1);
288 resp_data->code = packet->code;
H A Dradius_auth.c90 req.code = RAD_ACCESS_REQ;
135 if (resp.code == RAD_ACCESS_ACPT) {
137 } else if (resp.code == RAD_ACCESS_REJ) {
/illumos-gate/usr/src/lib/krb5/plugins/kdb/db2/
H A Ddb2_exp.c65 locking code into the top and bottom of each referenced function
74 int code = k5_mutex_lock (krb5_db2_mutex); \
75 if (code) { return ERROR_RESULT; } \
84 (return error from locking code). */
89 int code = k5_mutex_lock (krb5_db2_mutex); \
90 if (code) { return; } \
98 WRAP(NAME,krb5_error_code,ARGLIST,ARGNAMES,code)
/illumos-gate/usr/src/lib/libunistat/common/
H A Dspcs_s_u.c85 * Return the idata index of the last status code in the array (i.e.
86 * the "youngest" code present). The assumption is that the caller has
136 [p->idata[idx].f.code]);
139 format = strerror(p->idata[idx].f.code);
142 * step across the status code to the first supplemental data
175 /* remove the code and its supplemental info */
204 * operation or the ioctl service code got an EFAULT
207 * valid Solaris error code the extended error is
221 [spcs_errno.f.code]));
/illumos-gate/usr/src/lib/libbc/libc/sys/common/
H A Dwait.c31 * Portions of this source code were derived from Berkeley 4.3 BSD
242 * Convert the status code to old style wait status
245 wstat(int code, int status) argument
249 switch (code) {
255 if (code == CLD_DUMPED)
/illumos-gate/usr/src/cmd/pwck/
H A Dpwck.c58 static int eflag, code = 0; variable
120 * in the rest of the code,
218 return (code);
228 code = 1;
/illumos-gate/usr/src/uts/common/io/comstar/port/iscsit/
H A Discsit_radiusauth.c86 req.code = RAD_ACCESS_REQ;
132 if (resp.code == RAD_ACCESS_ACPT) {
134 } else if (resp.code == RAD_ACCESS_REJ) {
/illumos-gate/usr/src/uts/sun4u/montecarlo/sys/
H A Dscsb.h199 * BASE + 3 as in all other cases, but BASE + 1. FRU_REG_INDEX(code,base) does
298 #define FRU_INDEX(code) (event_to_index(code))
303 #define FRU_OFFSET_VAL(code, rx) (scb_fru_offset[FRU_OFFSET_BASE(rx) + \
304 FRU_INDEX(code)])
306 #define FRU_OFFSET(code, rx) (FRU_OFFSET_VAL(code, rx) & 0xf)
307 #define FRU_REG_INDEX(code, rx) (((FRU_OFFSET_VAL(code, rx) >> 4) \
309 #define FRU_REG_ADDR(code, r
[all...]
/illumos-gate/usr/src/uts/intel/io/mc-amd/
H A Dmcamd_subr.c222 * Node properties. A property is accessed through a property number code;
273 int code, uint_t *offset)
284 if (omp->mcom_code == code) {
296 mcamd_propcode_t code, mcamd_prop_t *valp)
310 found = findoffset(hdl, node, &props[0], code, &offset);
324 mcamd_propcode_t code; local
329 code = va_arg(ap, mcamd_propcode_t);
331 if (!mcamd_get_numprop(hdl, node, code, valp))
354 mcamd_regcode_t code, uint32_t *valp)
367 found = findoffset(hdl, node, &regs[0], code,
272 findoffset(mcamd_hdl_t *hdl, mcamd_node_t *node, struct nt_offmap *arr, int code, uint_t *offset) argument
295 mcamd_get_numprop(mcamd_hdl_t *hdl, mcamd_node_t *node, mcamd_propcode_t code, mcamd_prop_t *valp) argument
353 mcamd_get_cfgreg(struct mcamd_hdl *hdl, mcamd_node_t *node, mcamd_regcode_t code, uint32_t *valp) argument
382 mcamd_regcode_t code; local
[all...]
/illumos-gate/usr/src/uts/sparc/v7/sys/
H A Dtraptrace.h163 #define TRACE_UNFL(code, addr, scr1, scr2, scr3) \
165 set code, scr2; \
176 #define TRACE_UNFL(code, addr, scr1, scr2, scr3)
/illumos-gate/usr/src/boot/lib/libz/
H A Dinftrees.c21 Build a set of tables to decode the provided canonical Huffman code.
22 The code lengths are lens[0..codes-1]. The result starts at *table,
24 lens shorts, which is used as a work area. type is the type of code
26 -1 is an invalid code, and +1 means that ENOUGH isn't enough. table
30 longest code or if it is less than the shortest code.
36 code FAR * FAR *table;
40 unsigned len; /* a code's length in bits */
41 unsigned sym; /* index of code symbols */
42 unsigned min, max; /* minimum and maximum code length
[all...]
/illumos-gate/usr/src/lib/libshell/common/tests/
H A Dsubshell.sh313 for code in 0 2
314 do got=${ printf "$body" "$1" "$2" "$code" | $SHELL 2>&1 }
316 if (( status != code ))
317 then err_exit "test $TEST '$1...$2 exit $code' failed -- exit status $status, expected $code"
319 then err_exit "test $TEST '$1...$2 exit $code' failed -- got '$got', expected '$exp'"
H A Dsun_solaris_cr_6904575_cut_-d_with_multibyte_character_no_longer_works.sh147 out="$(printf "${tc.input_format}" | ${SHELL} -c "${cut_cmd} \"\$@\"" dummy "${cut_args[@]}" 2>&1)" || err_exit "${testname}: Command returned exit code $?"
172 out=$( LC_ALL=ja_JP.eucJP ${SHELL} -o pipefail -o errexit -c '$1 -d $(cat delim) -f1 "mb.eucjp" | od -tx1' dummy "${cutcmd}" 2>&1 ) || err_exit "${testname}: Test failed with exit code $?"
/illumos-gate/usr/src/lib/libm/common/m9x/
H A Dfex_log.c102 unsigned long code; member in struct:exc_list
121 static int check_exc_list(char *addr, unsigned long code, char *stk, argument
130 if (l->addr != addr || l->code != code)
155 l->code = code;
173 * In the following code, the use of sprintf+write rather than fprintf
181 * different threads aren't interspersed). Therefore, if the code
/illumos-gate/usr/src/cmd/sgs/tools/
H A Dlibconv_mk_report_bufsize.pl62 * The code that implements the conversion function does the proper
69 * (2) Separating the size calculation from the code that uses it
75 * space will result. Therefore, the code is supposed to contain a
/illumos-gate/usr/src/uts/i86pc/cpu/generic_cpu/
H A Dgcpu_mca.c240 gcpu_disp_match(uint16_t code) argument
250 if ((code & on) == on && (code & off) == 0)
258 bit_strip(uint16_t code, uint16_t mask, uint16_t shift) argument
260 return ((code & mask) >> shift);
263 #define BIT_STRIP(code, name) \
264 bit_strip(code, MCAX86_ERRCODE_##name##_MASK, \
392 #define GCPU_MNEMONIC(code, name, nspace) \
395 BIT_STRIP(code, name), nspace)
401 uint16_t code local
628 gcpu_ereport_add_logout(nvlist_t *ereport, const gcpu_logout_t *gcl, uint_t bankno, const gcpu_error_disp_t *ged, uint16_t code) argument
825 uint16_t code = MCAX86_ERRCODE(status); local
954 uint16_t code = MCAX86_ERRCODE(gbl->gbl_status); local
[all...]
/illumos-gate/usr/src/lib/gss_mechs/mech_krb5/krb5/asn.1/
H A Dasn1buf.h108 (asn1buf *buf, const krb5_data *code);
110 effects Turns *buf into a "wrapper" for *code. i.e. *buf is set up
111 such that its bottom is the beginning of *code, and its top
112 is the top of *code.
113 Returns ASN1_MISSING_FIELD if code is empty. */
222 (const asn1buf *buf, krb5_data **code);
223 /* modifies *code
224 effects Instantiates **code with the krb5_data representation of **buf. */
/illumos-gate/usr/src/lib/libtecla/common/
H A Dhash.c94 static HashNode *_new_HashNode(HashTable *hash, const char *name, int code,
323 * code int An application-specific code to be stored in
332 * with the 'code' and 'data' arguments given
340 Symbol *_new_HashSymbol(HashTable *hash, const char *name, int code, argument
366 node->symbol.data = node->symbol.del_fn(hash->app_data, node->symbol.code,
373 node = _new_HashNode(hash, name, code, fn, data, del_fn);
471 * code int A user-supplied context code.
478 static HashNode *_new_HashNode(HashTable *hash, const char *name, int code, argument
[all...]

Completed in 167 milliseconds

<<11121314151617181920>>